summaryrefslogtreecommitdiff
path: root/tool/runruby.rb
AgeCommit message (Collapse)Author
2022-07-14Set `GEM_PATH` environment variable in runruby.rbNobuyoshi Nakada
Notes: Merged: https://github.com/ruby/ruby/pull/6130
2021-10-20Yet Another Ruby JIT!Jose Narvaez
Renaming uJIT to YJIT. AKA s/ujit/yjit/g.
2021-10-20Tally instructions when taking side exists for --ujit-statsAlan Wu
shopify/ruby#29 Co-authored-by: Maxime Chevalier-Boisvert <maxime.chevalierboisvert@shopify.com>
2020-06-21Prefer ruby_install_name as runnerNobuyoshi Nakada
`Gem::Commands::EnvironmentCommand` expects that `Gem.ruby` has the transformed basename.
2019-08-20Fix some bundler specs (#2380)David Rodríguez
* These seem to consistenly pass already * Show actual command when running `make test-bundler` Current the setup command that installs the necessary gems for testing bundler was printed, but not the actual command that runs the tests. That was a bit confusing. * Borrow trick from setproctitle specs * A title that long doesn't get set sometimes No idea why, but the test doesn't need that the title is that long. * Fix most gem helper spec ruby-core failures * Fix the rest of the gem helper failures * Fix version spec by improving the assertion * Remove unnecessary `BUNDLE_RUBY` environment var We can use `RUBY` when necessary, and `BUNDLE_RUBY` is not a good name because bundler considers `BUNDLE_*` variables as settings. * Rename `BUNDLE_GEM` to `GEM_COMMAND` This is more descriptive I think, and also friendlier for bundler because `BUNDLE_` env variables are interpreted by bundler as settings, and this is not a bundler setting. This fixes one bundler spec failure in config specs against ruby-core. * Fix quality spec when run in core Use the proper path helper. * Fix dummy lib builder to never load default gems If a dummy library is named as a default gem, when requiring the library from its executable, the default gem would be loaded when running from core, because in core all default gems share path with bundler, and thus they are always in the $LOAD_PATH. We fix the issue by loading lib relatively inside dummy lib executables. * More exact assertions Sometimes I have the problem that I do some "print debugging" inside specs, and suddently the spec passes. This happens when the assertion is too relaxed, and the things I print make it match, specially when they are simple strings like "1.0" than can be easily be part of gem paths that I print for debugging. I fix this by making a more exact assertion. * Detect the correct shebang when ENV["RUBY"] is set * Relax assertion So that the spec passes even if another paths containing "ext" are in the load path. This works to fix a ruby-core issue, but it's a better assertion in general. We just want to know that the extension path was added. * Use folder structure independent path helper It should fix this spec for ruby-core. * Fix the last failing spec on ruby-core * Skip `bundle open <default_gem>` spec when no default gems
2019-06-05tool/runruby.rb: support RUNRUBY_USE_LLDB as well as RUNRUBY_USE_GDBNobuyoshi Nakada
2019-06-05tool/runruby.rb: load the default lldb scriptsNobuyoshi Nakada
2019-06-05tool/runruby.rb: load .gdbinit explicitlyNobuyoshi Nakada
2018-07-09Add lldb as a debugger optiontenderlove
This adds support for lldb as a debugger so that tests can be run under lldb like this: $ make test-all TESTS=test/some_test.rb RUNRUBYOPT=--debugger=lldb git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@63921 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-11-07tool/runruby.rb: fix RUNRUBY_USE_GDB casenobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60698 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-11-05runruby.rb: add -C/--chdir optionnobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60664 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-11-05runruby.rb: support run.gdb by --debugger optionnobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60661 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-10-21Rename spec/rspec to .bundle.hsbt
It used without rspec installation for test-* task. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60269 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-10-21add RUNRUBY_USE_GDB envvar for runruby.rb.ko1
* tool/runruby.rb: add RUNRUBY_USE_GDB environment variable. If RUNRUBY_USE_GDB=true then use 'gdb --args'. If there is 'run.gdb' file (made by 'make run.gdb') on current directory, run gdb with this file ('gdb -x run.gdb --args'). This envval is useful when you want to run test-all (and so on) with gdb. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60245 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-17Rename bin/ruby as exe/rubynobu
* common.mk, configure.in: rename the bin directory to run build executable as exe, to get rid of overwriting true files at the installation. [ruby-dev:50250] [Bug #13911] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59937 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-15rename ruby-runner as bin/rubynobu
* Makefile.in, configure.in, tool/runruby.rb: rename ruby-runner executable file as $(RUBY_INSTALL_NAME) under bin, to mimic dirty `#!/usr/bin/env` hack. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59927 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-09runruby.rb: set envvars for bundlernobu
* tool/runruby.rb: set gem and bundler environment variables. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59804 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-06-08tool/runruby.rb: test with smallest possible machine stacknormal
Lets ensure none of our C functions use too much stack space and fix all excessive stack usage before releasing the next version. Reducing C stack usage should reduce conservative GC scanning time and improve performance. If there are platform-dependent test failures; excessive stack usage should be fixed; rather than increasing minimum values or removing these envs from testing. * tool/runruby.rb: use smallest possible machine stack size [ruby-core:81597] [Feature #13637] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59047 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-05-29tool/runruby.rb: exec ruby-runnernobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58951 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-05-26runruby.rb: no PRELOAD on multiarch [ci skip]nobu
* tool/runruby.rb: do not set environment to preload on multiarch platforms, otherwise other external commands (e.g., /bin/sh) fail to run. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58900 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2016-07-02tool: add descriptions and fix typosnormal
* tool/asm_parse.rb: add description * tool/change_maker.rb: ditto * tool/downloader.rb: ditto * tool/eval.rb: ditto * tool/expand-config.rb: ditto * tool/extlibs.rb: ditto * tool/fake.rb: ditto * tool/file2lastrev.rb: ditto * tool/gem-unpack.rb: ditto * tool/gen_dummy_probes.rb: ditto * tool/gen_ruby_tapset.rb: ditto * tool/generic_erb.rb: ditto * tool/id2token.rb: ditto * tool/ifchange: ditto * tool/insns2vm.rb: ditto * tool/instruction.rb: ditto * tool/jisx0208.rb: ditto * tool/merger.rb: ditto * tool/mkrunnable.rb: ditto * tool/node_name.rb: ditto * tool/parse.rb: ditto * tool/rbinstall.rb: ditto * tool/rbuninstall.rb: ditto * tool/rmdirs: ditto * tool/runruby.rb: ditto * tool/strip-rdoc.rb: ditto * tool/vcs.rb: ditto * tool/vtlh.rb: ditto * tool/ytab.sed: ditto * tool/enc-unicode.rb: fix typo * tool/mk_call_iseq_optimized.rb: ditto * tool/update-deps: ditto [ruby-core:76215] [Bug #12539] by Noah Gibbs <the.codefolio.guy@gmail.com> git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55564 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-10-04runruby.rb: fallback to rubynobu
* tool/runruby.rb: use ruby-runner only when exists and fallback to ruby itself. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52013 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-10-03ruby-runnernobu
* template/ruby-runner.c.in: wrapper to set dynamic loading path environment variable. /bin/sh on Mac OS X 10.11 (El Capitan) clears DYLD_LIBRARY_PATH. it must: - do nothing even if current directory is not present - do not set other environment variables, e.g. PWD, SHLVL, etc - do not open other FDs, e.g. pipes for timer thread git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52008 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-06-21runruby.rb: don't close other fdsnobu
* tool/runruby.rb: rubyspec now requires other FDs not to be closed since 7b6ce1fee. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50985 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-06-14* tool/runruby.rb: just remove the lines of RUBY_VERSION check and raiseusa
instead of replacing the check to `true`, for getting rid of a warning `possibly useless use of true in void context`. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50886 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-02-26runruby.rb: use File::PATH_SEPARATORnobu
* tool/runruby.rb: use File::PATH_SEPARATOR as DYLD_INSERT_LIBRARIES is colon-separated list. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49762 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-02-26configure.in: PRELOADENVnobu
* configure.in (PRELOADENV): platform specific environment to pre-load the given shared libraries. * tool/runruby.rb: use config['PRELOADENV'] instead of hardcoded LD_PRELOAD. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49760 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-02-25runruby.rb: update patternnobu
* tool/runruby.rb: no space may be after RUBY_VERSION. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49755 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-02-25runruby.rb: follow r49740nobu
* tool/runruby.rb: follow the change of RUBY_VERSION check in rbconfig by r49740. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49747 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2012-06-15[Bug #6598]nobu
* tool/runruby.rb (File.realpath): return real path of expanded path. [Bug #6598] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@36107 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2012-06-08test: realpathnobu
* test/runner.rb (src_testdir): expand real path so that TestGem#test_self_find_files does not fail by aliased load path when srcdir contains a symbolic link. * tool/runruby.rb (srcdir): ditto. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35961 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2010-08-03* tool/runruby.rb: no purelib.shyouhei
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@28841 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2009-05-22* instruby.rb: moved into tool/.yugui
* mkconfig.rb: ditto. * rubytest.rb: ditto. * runruby.rb: ditto. * common.mk: follows the moves. * configure.in: ditto. * win32/Makefile.sub: ditto. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@23542 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2007-12-24* tool/compile.rb, getrev.rb, runruby.rb: remove unused tools.ko1
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@14580 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2006-12-31 * Merge YARVko1
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@11439 b2dd03c8-39d4-4d8f-98ff-823fe69b080e